/**
 * Represents a unique transition of the automaton.
 * It is possible to share the same label with multiple transitions.
 */
public class Transition {
  	private Label label;
  	private State origin;
	private State target;
	
	public Transition(State from, State to, Label l) {
		origin = from;
		target = to;
		label = l;
	}
	
	public String toString() {
		return label.getName();
	}
	
	// Standard setter/getter methods
	public Label getLabel() {return label;}
	public State getOrigin() {return origin;}
	public State getTarget() {return target;}
	public void setLabel(Label label) {this.label = label;}
	public void setOrigin(State state) {origin = state;}
	public void setTarget(State state) {target = state;}
}
